#!/usr/bin/perl
# USAGE
#       EDIT THE SCRIPT TO SPECIFY Your IPs
#	perl gentoo-eth0-bulk-ipconfig-1.2.pl
# SEE ALSO
#
#   perldoc gentoo-eth0-bulk-ipconfig-1.2.pl

#Configure your IP Class and Network attributes
#$path = "/etc/conf.d/net";
$path = "net";
$class = "192.168.1";
$gateway = "192.168.1.1";
$subnet = "25";
#End user config

open(DAT,">$path");
print DAT "config_eth0=(\n";
for($i=6;$i<=9;$i++)
{
   print DAT "$class.$i/$subnet\n";
}
print DAT ")\n";
print DAT "routes_eth0=( \"default gw $gateway\" )";
close(DAT);


__END__

=head1 NAME

gentoo-eth0-bulk-ipconfig-1.2.pl - Get open ports informatio in xml format

=head1 SCRIPT CATEGORIES

Networking

=head1 README

This script is used to hard config the bulk IPs in Gento linux operating systems.


=head1 OSNAMES

Gentoo

=head1 PREREQUISITES

=head1 COREQUISITES

=head1 SYNOPSIS

=head1 AUTHOR

Jamshaid Faisal

 { 
   domain   => "gmail", 
   tld      => "com", 
   username => "j.faisal" 
 }

=cut
